Results 1 to 8 of 8

Thread: can naza lite gps be used with naza v1 and pmu isod mini

  1. #1

    can naza lite gps be used with naza v1 and pmu isod mini

    hi does anybody know if the naza lite gps can be used with the naza v1 . I have the v1 phantom and also a tbs disco with naza lite . I'm wanting to swap them over and have the v1 in the tbs so I can fit the pmu and isod mini for fpv .

  2. #2
    Mr take no prisoners! PeteDee's Avatar
    Join Date
    Mar 2013
    Location
    Canberra, Australia
    Posts
    1,082
    Yes it can, I have a couple set up on my Disco and Disco Pro, it is a nice easy setup that works fine on the V1's, I do wish I could turn off a couple of the features though.

    Pete
    Disco, Disco Pro, Spanky250, Q400-X
    DX18,14SG, X9D

  3. #3
    thanks petedee do you have isod mini in both of them. my set up would be tbs naza ite gps , naza m v1 wantng to know b4 I buy the pmu and the isod mini

  4. #4
    Gettin Old STI-REX's Avatar
    Join Date
    Aug 2012
    Location
    Queensland Australia
    Posts
    83
    The Naza m v1 will work just fine with the mini IOSD and the V2 PMU

    I have a QAV520 with Naza v1 with v2 pmu and mini osd
    And a DJI550 with the same setup both running 4.02 firmware they all play together well with the exception of having to use the v1 vu/led or hack the v2 led to get it to work
    depending on the age of your v1 naza the led from the v2 may or may not work without supplying it with a 5 volt power source via the red wire inside the led cable

    (newer v1's possibly will be ok with the v2 led)

  5. #5
    Mr take no prisoners! PeteDee's Avatar
    Join Date
    Mar 2013
    Location
    Canberra, Australia
    Posts
    1,082
    Yes the Naza Lite GPS works fine with the Naza-M V1 and you can then add the PMU and OSD Mini and they all work fine together.

    Cheers

    Pete
    Disco, Disco Pro, Spanky250, Q400-X
    DX18,14SG, X9D

  6. #6
    Full Blown Hucker Bowley's Avatar
    Join Date
    Sep 2011
    Location
    Lossiemouth, Scotland
    Posts
    975
    Will iOSD work with V1 on old 2.02 firmware? or does it need the V2 firmware?
    Steve

    www.rotorworx.co.uk

  7. #7
    Mr take no prisoners! PeteDee's Avatar
    Join Date
    Mar 2013
    Location
    Canberra, Australia
    Posts
    1,082
    I am not sure what firmware is need, it may even be V3 and above, you may have to troll through the archives to see when they changed to firmware that supported it, probably whatever was on the Naza_M V2's when they came on the market. I see no reason not to be using the latest firmware though, working well for me.

    I am using V4.02 and it is working very well on my Disco Classic and Disco Pro.

    Pete
    Disco, Disco Pro, Spanky250, Q400-X
    DX18,14SG, X9D

  8. #8
    Full Blown Hucker Bowley's Avatar
    Join Date
    Sep 2011
    Location
    Lossiemouth, Scotland
    Posts
    975
    Quote Originally Posted by PeteDee View Post
    I am not sure what firmware is need, it may even be V3 and above, you may have to troll through the archives to see when they changed to firmware that supported it, probably whatever was on the Naza_M V2's when they came on the market. I see no reason not to be using the latest firmware though, working well for me.

    I am using V4.02 and it is working very well on my Disco Classic and Disco Pro.

    Pete
    Thanks Pete, I might give the latest FW a go, would open the options a little.
    Steve

    www.rotorworx.co.uk

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •